﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Characterize Power Splitter Outputs /4419,8485,SWPG
DATE:                  2010-10-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       75
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         HP 8485A on channel 2
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various
#
#  Compatibility:
#        MET/CAL 7.3.19 or later
#
#  Subprocedures:
#        Sub Level Signal /4419,8485,SWPG
#        Sub Initialization File: Write Parameter
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Splitter,Power, 50 Ohms, 300 MHz to 3 GHz, Type N, Agilent 11667B
#          or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           (@CenterFreq < 1E+6)
  1.002  MATH         Freq = (@CenterFreq / 1E+3) & " kHz"
  1.003  ELSEIF       (@CenterFreq < 1E+9)
  1.004  MATH         Freq = (@CenterFreq / 1E+6) & " MHz"
  1.005  ELSE
  1.006  MATH         Freq = (@CenterFreq / 1E+9) & " GHz"
  1.007  ENDIF

  1.008  HEAD         -2 Characterizing [V Freq] Splitter Response...
  1.009  M4419  F64   8485A          Default       8485A          100pct
  1.010  MATH         @SWPG_Freq = @CenterFreq & "Hz"
  1.011  MATH         @SWPG_Ampl = @TestLvl & "dBm"
  1.012  CALL         Sub Apply /SWPG
# Adjust 9640A output for specified level at power splitter "Reference" port.
  1.013  CALL         Sub Level Signal /4419,8485,SWPG

  1.014  IF           @Error
  1.015  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

# Store actual reference power reading.
  2.004  MATH         RefPwr = MEM
# Measure level at power splitter "Buried" port.
  2.005  MATH         MEM = @CenterFreq
  2.006  4419         -25.00D                      H                 RF N  CH2

  2.007  MATH         @Parameter = @CenterFreq
  2.008  MATH         MEM2 = FRND(MEM, 5)
  2.009  CALL         Sub Initialization File: Write Parameter

  2.010  END
