﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSQ (1 yr) IF Image Rejection VER /SWPG
DATE:                  2011-02-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       342
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSQ series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub FSU IF Image/Rejection Test /SWPG
#        Sub FSU Take Sweep (MKPK)
#
#  Required Files:
#        fsu_freq_resp_hookup_swpg.jpg
#
#  Additional Equipment Required:
#        None
#
#  Test points were taken from R&S Calibration Certificate.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

# Except for the FSQ3, the UUT remains connected to the SWPG via a power
# splitter and power meter and sensor from a previous test. In the case of the
# FSQ3, the operator is prompted to connect the SWPG via the splitter to the
# UUT.

  1.004  RSLT         =
  1.005  HEAD         {IF IMAGE FREQUENCY REJECTION}
  1.006  RSLT         =
  1.007  RSLT         =1st IF Frequency
  1.008  TARGET       -p

  1.009  IF           @FreqRange < 8
  1.010  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.011  PIC          fsu_freq_resp_hookup_swpg.jpg

  1.012  DISP         Ensure the UUT REF OUT (rear) is connected to the
  1.012  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].

  1.013  DISP         The next routine operator intervention
  1.013  DISP         occurs in approximately 5 minutes...
  1.014  ENDIF

  1.015  HEAD         -2 Center Frequency: 11 MHz
  1.016  MATH         @Error = 0
  1.017  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.018  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
  1.018  SCPI         DISP:WIND:TRAC:Y 100 dB
  1.019  SCPI         FREQ:CENT 11E+6;SPAN 100E+3;:BAND:RES 3E+3
  1.020  SCPI         CALC:MARK:STAT ON
# Parameters associated with mismatch and tracking uncertainty:
  1.021  MATH         @DevName1       = "Agilent E4419B"
  1.022  MATH         @SensorAccMode  = "Watts 100mW F64"
  1.023  MATH         @SensorSWR_Mode = "SWR 8485A"
  1.024  MATH         @DevName2       = "Agilent 11667B"
  1.025  MATH         @SpltrSWR_Mode  = "Output SWR"
  1.026  MATH         @SpltrTrackMode = "Tracking"
  1.027  MATH         @UUT_SWR        = 1.5
# Parameters associated with UUT level uncertainty (normalized):
#   Absolute Level Uncertainty at 128 MHz (dB):
  1.028  MATH         @AbsLevUnc = DBTOPCTW_D(0.2) / 3
#   Frequency Response (dB):
  1.029  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
#   Input Attenuator Switching (dB):
  1.030  MATH         @InpAttSw  = DBTOPCTW_D(0.2) / 3
#   Display Linearity (dB):
  1.031  MATH         @DispLin   = DBTOPCTW_D(0.3) / 3
#   Bandwidth Switching Error (dB):
  1.032  MATH         @BandSwErr = DBTOPCTW_D(0.1) / 3
#   Resolution Bandwidth Error (%):
  1.033  MATH         @RBW_Error   = (3) / 3

  1.034  TSET         TDESC = 11 MHz
# Set SWPG output to (test) frequency + 9256.8 MHz.
  1.035  MATH         @SWPG_Freq  = "9267.8MHz"
# 8485A Cal Factor Uncertainty from Agilent (normalized).
  1.036  MATH         @CalFactUnc = 1.7 / 2
  1.037  CALL         Sub FSU IF Image/Rejection Test /SWPG
  1.038  TARGET       -m
  1.039  CALL         Sub FSU Take Sweep (MKPK)
  1.040  SCPI         CALC:MARK:Y?[I]
  1.041  ACC    -130  dB             M1U
  1.042  MEMCX  -130  -90.0dB        -40.0U

  2.001  HEAD         -2 Center Frequency: 101 MHz
  2.002  TSET         TDESC = 101 MHz
  2.003  MATH         @SWPG_Freq = "9357.8MHz"
  2.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  2.005  TARGET       -m
  2.006  CALL         Sub FSU Take Sweep (MKPK)
  2.007  SCPI         CALC:MARK:Y?[I]
  2.008  ACC    -130  dB             M1U
  2.009  MEMCX  -130  -90.0dB        -40.0U

  3.001  HEAD         -2 Center Frequency: 1701 MHz
  3.002  TSET         TDESC = 1701 MHz
  3.003  MATH         @SWPG_Freq = "10957.8MHz"
  3.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  3.005  TARGET       -m
  3.006  CALL         Sub FSU Take Sweep (MKPK)
  3.007  SCPI         CALC:MARK:Y?[I]
  3.008  ACC    -130  dB             M1U
  3.009  MEMCX  -130  -90.0dB        -40.0U

  4.001  HEAD         -2 Center Frequency: 3001 MHz
  4.002  TSET         TDESC = 3001 MHz
  4.003  MATH         @SWPG_Freq = "12257.8MHz"
  4.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  4.005  TARGET       -m
  4.006  CALL         Sub FSU Take Sweep (MKPK)
  4.007  SCPI         CALC:MARK:Y?[I]
  4.008  ACC    -130  dB             M1U
  4.009  MEMCX  -130  -90.0dB        -40.0U

  5.001  RSLT         =
  5.002  RSLT         =2nd IF Frequency

  5.003  HEAD         -2 Center Frequency: 101 MHz
  5.004  TARGET       -p
  5.005  TSET         TDESC = 101 MHz
# Set SWPG output to (test) frequency + 808.8 MHz.
  5.006  MATH         @SWPG_Freq  = "909.8MHz"
  5.007  MATH         @CalFactUnc = 1.4 / 2
  5.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
  5.009  TARGET       -m
  5.010  CALL         Sub FSU Take Sweep (MKPK)
  5.011  SCPI         CALC:MARK:Y?[I]
  5.012  ACC    -130  dB             M1U
  5.013  MEMCX  -130  -90.0dB        -40.0U

  6.001  IF           @FreqRange > 3
  6.002  HEAD         -2 Center Frequency: 3700 MHz
  6.003  TSET         TDESC = 3700 MHz
  6.004  MATH         @SWPG_Freq  = "4508.8MHz"
  6.005  MATH         @CalFactUnc = 1.7 / 2
  6.006  MATH         @FreqResp   = DBTOPCTW_D(1.5) / 3

  6.007  IF           @FreqRange == 8
  6.008  MATH         @UUT_SWR = 2.0
  6.009  ELSE
  6.010  MATH         @UUT_SWR = 1.8
  6.011  ENDIF

  6.012  CALL         Sub FSU IF Image/Rejection Test /SWPG
  6.013  TARGET       -m
  6.014  CALL         Sub FSU Take Sweep (MKPK)
  6.015  SCPI         CALC:MARK:Y?[I]
  6.016  ACC    -130  dB             M1U
  6.017  MEMCX  -130  -70.0dB        -60.0U

  7.001  HEAD         -2 Center Frequency: 5000 MHz
  7.002  TSET         TDESC = 5000 MHz
  7.003  MATH         @SWPG_Freq  = "5808.8MHz"
  7.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  7.005  TARGET       -m
  7.006  CALL         Sub FSU Take Sweep (MKPK)
  7.007  SCPI         CALC:MARK:Y?[I]
  7.008  ACC    -130  dB             M1U
  7.009  MEMCX  -130  -70.0dB        -60.0U

  8.001  HEAD         -2 Center Frequency: 7999 MHz
  8.002  TSET         TDESC = 7999 MHz
  8.003  MATH         @SWPG_Freq = "8807.8MHz"
  8.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
  8.005  TARGET       -m
  8.006  CALL         Sub FSU Take Sweep (MKPK)
  8.007  SCPI         CALC:MARK:Y?[I]
  8.008  ACC    -130  dB             M1U
  8.009  MEMCX  -130  -70.0dB        -60.0U

  9.001  IF           @FreqRange > 8
  9.002  HEAD         -2 Center Frequency: 26000 MHz
  9.003  TSET         TDESC = 26000 MHz
# Set SWPG output to (test) frequency - 808.8 MHz.
  9.004  MATH         @SWPG_Freq  = "25191.2MHz"
  9.005  MATH         @FreqResp   = DBTOPCTW_D(2.5) / 3
  9.006  MATH         @UUT_SWR    = 2.0
  9.007  MATH         @CalFactUnc = 2.6 / 2
  9.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
  9.009  TARGET       -m
  9.010  CALL         Sub FSU Take Sweep (MKPK)
  9.011  SCPI         CALC:MARK:Y?[I]
  9.012  ACC    -130  dB             M1U
  9.013  MEMCX  -130  -70.0dB        -60.0U
 10.001  ENDIF        ; @FreqRange > 8

 10.002  ENDIF        ; @FreqRange > 3

 10.003  RSLT         =
 10.004  RSLT         =3rd IF Frequency
 10.005  TARGET       -p
 10.006  HEAD         -2 Center Frequency: 101 MHz
 10.007  TSET         TDESC = 101 MHz
# Set SWPG output to (test) frequency + 40.8 MHz.
 10.008  MATH         @SWPG_Freq  = "141.8MHz"
 10.009  MATH         @UUT_SWR    = 1.5
 10.010  MATH         @CalFactUnc = 1.4 / 2
 10.011  MATH         @FreqResp  = DBTOPCTW_D(0.3) / 3
 10.012  CALL         Sub FSU IF Image/Rejection Test /SWPG
 10.013  TARGET       -m
 10.014  CALL         Sub FSU Take Sweep (MKPK)
 10.015  SCPI         CALC:MARK:Y?[I]
 10.016  ACC    -130  dB             M1U
 10.017  MEMCX  -130  -90.0dB        -40.0U

 11.001  HEAD         -2 Center Frequency: 2000 MHz
 11.002  TSET         TDESC = 2000 MHz
 11.003  MATH         @SWPG_Freq = "2040.8MHz"
 11.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 11.005  TARGET       -m
 11.006  CALL         Sub FSU Take Sweep (MKPK)
 11.007  SCPI         CALC:MARK:Y?[I]
 11.008  ACC    -130  dB             M1U
 11.009  MEMCX  -130  -70.0dB        -60.0U

 12.001  IF           @FreqRange > 3
 12.002  HEAD         -2 Center Frequency: 4500 MHz
 12.003  TSET         TDESC = 4500 MHz
 12.004  MATH         @SWPG_Freq  = "4540.8MHz"
 12.005  MATH         @UUT_SWR    = 2.0
 12.006  MATH         @CalFactUnc = 2.1 / 2
 12.007  MATH         @FreqResp  = DBTOPCTW_D(2.0) / 3
 12.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
 12.009  TARGET       -m
 12.010  CALL         Sub FSU Take Sweep (MKPK)
 12.011  SCPI         CALC:MARK:Y?[I]
 12.012  ACC    -130  dB             M1U
 12.013  MEMCX  -130  -70.0dB        -60.0U
 13.001  ENDIF

 13.002  HEAD         -2
 13.003  CALL         Sub Initialize /SWPG
 13.004  CALL         Sub Reset /SWPG
 13.005  SCPI         SYST:PRES
 13.006  HEAD

 13.007  RSLT         =
 13.008  HEAD         {IF REJECTION}
 13.009  RSLT         =
 13.010  RSLT         =1st IF Frequency
 13.011  TARGET       -p

 13.012  HEAD         -2 Center Frequency: 11 MHz
 13.013  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 13.014  SCPI         INP:ATT 0dB;:DISP:WIND:TRAC:Y:RLEV -30;SPAC LOG
 13.015  SCPI         DISP:WIND:TRAC:Y 100 dB
 13.016  SCPI         FREQ:CENT 11E+6;SPAN 100E+3;:BAND:RES 3E+3
 13.017  SCPI         CALC:MARK:STAT ON
 13.018  TSET         TDESC = 11 MHz
 13.019  MATH         @SWPG_Freq  = "4628.4MHz"
 13.020  MATH         @CalFactUnc = 0.91 / 2
 13.021  CALL         Sub FSU IF Image/Rejection Test /SWPG
 13.022  TARGET       -m
 13.023  CALL         Sub FSU Take Sweep (MKPK)
 13.024  SCPI         CALC:MARK:Y?[I]
 13.025  ACC    -130  dB             M1U
 13.026  MEMCX  -130  -90.0dB        -40.0U

 14.001  HEAD         -2 Center Frequency: 101 MHz
 14.002  TSET         TDESC = 101 MHz
 14.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 14.004  TARGET       -m
 14.005  CALL         Sub FSU Take Sweep (MKPK)
 14.006  SCPI         CALC:MARK:Y?[I]
 14.007  ACC    -130  dB             M1U
 14.008  MEMCX  -130  -90.0dB        -40.0U

 15.001  HEAD         -2 Center Frequency: 1701 MHz
 15.002  TSET         TDESC = 1701 MHz
 15.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 15.004  TARGET       -m
 15.005  CALL         Sub FSU Take Sweep (MKPK)
 15.006  SCPI         CALC:MARK:Y?[I]
 15.007  ACC    -130  dB             M1U
 15.008  MEMCX  -130  -90.0dB        -40.0U

 16.001  HEAD         -2 Center Frequency: 2990 MHz
 16.002  TSET         TDESC = 2990 MHz
 16.003  CALL         Sub FSU IF Image/Rejection Test /SWPG
 16.004  TARGET       -m
 16.005  CALL         Sub FSU Take Sweep (MKPK)
 16.006  SCPI         CALC:MARK:Y?[I]
 16.007  ACC    -130  dB             M1U
 16.008  MEMCX  -130  -90.0dB        -40.0U

 17.001  RSLT         =
 17.002  RSLT         =2nd IF Frequency
 17.003  TARGET       -p
 17.004  HEAD         -2 Center Frequency: 101 MHz
 17.005  TSET         TDESC = 101 MHz
 17.006  MATH         @SWPG_Freq  = "808.8MHz"
 17.007  MATH         @CalFactUnc = 0.77 / 2
 17.008  CALL         Sub FSU IF Image/Rejection Test /SWPG
 17.009  TARGET       -m
 17.010  CALL         Sub FSU Take Sweep (MKPK)
 17.011  SCPI         CALC:MARK:Y?[I]
 17.012  ACC    -130  dB             M1U
 17.013  MEMCX  -130  -90.0dB        -40.0U

 18.001  IF           @FreqRange > 3
 18.002  HEAD         -2 Center Frequency: 4500 MHz
 18.003  TSET         TDESC = 4500 MHz
 18.004  CALL         Sub FSU IF Image/Rejection Test /SWPG
 18.005  TARGET       -m
 18.006  CALL         Sub FSU Take Sweep (MKPK)
 18.007  SCPI         CALC:MARK:Y?[I]
 18.008  ACC    -130  dB             M1U
 18.009  MEMCX  -130  -70.0dB        -60.0U
 19.001  ENDIF

 19.002  HEAD         -2
 19.003  CALL         Sub Initialize /SWPG
 19.004  CALL         Sub Reset /SWPG
 19.005  SCPI         SYST:PRES
 19.006  HEAD
 19.007  END
