﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSQ (1 yr) Noise Display VER
DATE:                  2011-02-04
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       123
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSQ series
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSQ (1 yr) Noise Display Tests
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSQ Data Sheet, Version 10.00,
#   July 2010.
#
#  Applicable conditions:
#        0 dB RF attenuation
#        50 Ohm terminated input
#        Log scaling
#        Measured with 1 kHz RBW, Normalized to 1 Hz RBW
#        f <10 kHz  : 10 Hz FFT; Trace Averaging; Sweep Count 20
#        f >= 10 kHz: RBW 1 kHz; VBW 3 kHz; Zero span; Sweep time 50 ms;
#                     Detector Sample; Trace Averaging; Sweep Count 20;
#                     Marker Mean
#
#  Note that specifications for Displayed Average Noise Level in the specified
#  document are 10 dB lower than those previously stated. The difference,
#  however, lies in the fact that these specifications are now stated relative
#  to a 1 Hz bandwidth rather than the previous 10 Hz bandwidth, resulting in
#  a 10 dB improvement.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Query NTHROW parameter value.
  1.001  MATH         @NumThrow = VGET("NTHROW")
# UUT readings are averaged internally. Set NTHROW to zero to expedite test.
  1.002  VSET         NTHROW = 0

  1.003  RSLT         =
  1.004  HEAD         {DISPLAYED AVERAGE NOISE LEVEL}
  1.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.006  TARGET       -p

  1.007  IF           @FreqRange < 8
  1.008  MATH         Load = "DC to 4 GHz"
  1.009  ELSEIF       @FreqRange < 26
  1.010  MATH         Load = "DC to 12.4 GHz"
  1.011  ENDIF

  1.012  IF           @FreqRange < 26
  1.013  DISP         Connect a Type "N", [V Load], 50 Ohm termination
  1.013  DISP         to the UUT INPUT 50 Ohms connector.
  1.014  ELSE
  1.015  DISP         Connect a DC to 26.5 GHz, 50 Ohm termination, having
  1.015  DISP         a connector compatible with the UUT RF INPUT 50 Ohms
  1.015  DISP         test port adapter, to the UUT.
  1.016  ENDIF

  1.017  DISP         The next routine operator intervention
  1.017  DISP         occurs in approximately 4 minutes...

  1.018  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON;:INP:ATT 0 DB
  1.019  SCPI         DISP:WIND:TRAC:Y 100 DB;MODE AVER;Y:RLEV -20;SPAC LOG
  1.020  SCPI         FREQ:CENT 20;SPAN 10;:BAND:TYPE FFT;RES 10;:SWE:COUN 30
  1.021  SCPI         CALC:MARK:STAT ON
  1.022  CALL         Sub FSQ (1 yr) Noise Display Tests

  1.023  IF           @Opt_B23 || @Opt_B25
  1.024  RSLT         =

# Option FSU-B23 only available in units equipped with FSU-B25.
  1.025  IF           @Opt_B23 && @Opt_B25
  1.026  HEAD         {DISPLAYED AVERAGE NOISE LEVEL (Option FSU-B25/B23)}
  1.027  MATH         @B23_On = 1; @B25_On = 1
  1.028  ELSEIF       @Opt_B25
  1.029  HEAD         {DISPLAYED AVERAGE NOISE LEVEL (Option FSU-B25)}
  1.030  MATH         @B25_On = 1
  1.031  ENDIF

  1.032  TARGET       -p
  1.033  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.034  SCPI         FREQ:CENT 10.99E+6;SPAN 0;:INP:ATT 0 DB;GAIN:STAT ON
  1.035  SCPI         BAND:RES 1E+3;:DISP:WIND:TRAC:MODE AVER;Y:RLEV -80
  1.036  SCPI         SWE:TIME 50E-3;COUN 5;:DET:FUNC SAMP
  1.037  SCPI         CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  1.038  CALL         Sub FSQ (1 yr) Noise Display Tests

  1.039  IF           @Opt_B23 && @Opt_B25
  1.040  MATH         DEL("@B23_On"); DEL("@B25_On")
  1.041  ELSE
  1.042  MATH         DEL("@B25_On")
  1.043  ENDIF

  1.044  ENDIF

  1.045  HEAD         -2
  1.046  SCPI         SYST:PRES
  1.047  HEAD
  1.048  VSET         NTHROW = [V @NumThrow]
  1.049  END
