﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) Frequency Response Test (HF) /LPNX
DATE:                  2010-12-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       86
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Rohde & Schwarz FSU3, FSU8, FSU26
#
# Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
# Subprocedures:
#        Sub Compute Mismatch Uncertainty (%)
#        Sub FSU Take Sweep (MKPK)
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Freq = @TestFreq; Attn = @Atten; Type = @AttenType
  1.002  MATH         Cpl = @Coupling

  1.003  IF           ISVAR("@B25_On")

  1.004  IF           @B25_On && (BASE(@TestFreq) < 50E+6)
  1.005  TOL          1.000U
  1.006  ELSE
  1.007  TOL          0.600U
  1.008  ENDIF

  1.009  ELSE

  1.010  IF           (BASE(@TestFreq) < 10E+6)
  1.011  TOL          0.500U
  1.012  ELSE
  1.013  TOL          0.300U
  1.014  ENDIF

  1.015  ENDIF

  1.016  HEAD         -2 Frequency: [V Freq], [V Type]: [V Attn] dB ([V Cpl])
  1.017  TSET         TDESC = [V @TestFreq]
  1.018  MATH         DevName = "Fluke 9640A-LPNX"; AccMode = "Level 50"
  1.019  MATH         Conf = CONF(DevName)
  1.020  MATH         Level = @9640Lvl; Freq = BASE(@TestFreq)
  1.021  LPNX         ExtRefFrequency = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  1.021  LPNX         +Level = [V Level] dBm; Freq = [V Freq] Hz
  1.022  MATH         L[1] = DBTOPCTW_D(ACCV2(DevName, AccMode, Level, Freq))
  1.023  MATH         @SourceErr = L[1] / Conf
  1.024  MATH         @SourceSWR = ACCFF("lpnx.acc", "VSWR 50", Freq)
  1.025  CALL         Sub Compute Mismatch Uncertainty (%)
  1.026  MATH         L[2] = PCTTODBW_D(RSS2(@SourceErr, @MismatchUncPct) * 2)
  1.027  ACC          0.000dB        L2U                                   +DW
  1.028  SCPI         FREQ:CENT [V @TestFreq]
  1.029  TARGET       -m
  1.030  CALL         Sub FSU Take Sweep (MKPK)
  1.031  SCPI         CALC:MARK:Y?[I]
  1.032  MATH         MEM = MEM - @RefLvl
  1.033  MEMCX        0.000dB        TOL

  2.001  IF           (BASE(@TestFreq) > 100E+6)
  2.002  LPNX         Reset
  2.003  ENDIF

  2.004  END
