﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Compute RF Freq Response Reference Uncertainty
INSTRUMENT:            Sub FSU Compute RF Freq Response Test Uncertainty
DATE:                  2011-02-03
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       83
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various FSU models
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub Compute Mismatch Uncertainty (%)
#
#  Required Files:
#        11667b.acc
#        4419.acc
#
#  Additional Equipment Required:
#        None
#
#  Frequency Response (400 MHz to 3.6 GHz) is computed using the following:
#   The uncertainties shown in the following ACC statements (stated at k=2)
#   were computed including the following components:
#     - E4419() Instrumentation Accuracy
#     - E4419() Floor Specification
#     - 8485A Power Sensor Cal Factor Uncertainty
#   During characterization, since only flatness, not absolute power is
#   relevant, only the 8485A Cal Factor Uncertainty, E4419() Instrumentation
#   Accuracy and Floor Specification, are pertinent. Because both the UUT
#   RF Input and power splitter output port SWR specifications are constant
#   throughout the tested frequencies, the mismatch uncertainties associated
#   with them are not considered to be relevant.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           PSUBI("Reference")
# Instrumentation (Absolute Power) Accuracy of E4419() in percent.
  1.002  MATH         InstAccy = 0.5
# RSS E4419 Instrument Accuracy and floor specification; the first during
# characterization when measuring the absolute value, the second during
# verification when matching the 'buried' power sensor reading previously
# determined during characterization.
  1.003  MATH         RelAcc = (RSS2(InstAccy, @Floor)) / SQRT(3)

  1.004  ELSE
  1.005  MATH         RelAcc = @Floor / SQRT(3)
  1.006  ENDIF

  1.007  IF           (@CenterFreq > 128E+6)
# 8485A Cal Factor Uncertainty (percent, taken from Agilent data sheet).
  1.008  MATH         CalFacUnc = 1.4
# RSS Instrumentation Accuracy with 8485A Cal Factor uncertainty.
  1.009  MATH         RelAcc = RSS2(RelAcc, (CalFacUnc / 2))
  1.010  ENDIF

  1.011  MATH         TestUnc = RelAcc

# Store uncertainty (%) of 50 MHz reference set on UUT.
  1.012  IF           PSUBI("Reference")
  1.013  MATH         @RefUnc = TestUnc
  1.014  ELSE
# Combine reference and test uncertainties (%) and convert to dB relative.
  1.015  MATH         M[1] = PCTTODBW_D(RSS2(@RefUnc, TestUnc) * 2)
  1.016  ENDIF

  1.017  END
